{# Settings #}
{% set root = "../../../" %}
{% set mainNavActive_1 = "shortcodes" %}
{% set sidebarNavActive_1 = "shortcode-blocks-promo" %}
{% set title = "Promo Blocks 1" %}

{% include "html/assets/include/nunjucks/partials/head.njk" %}
{% include "html/assets/include/nunjucks/partials/core-fonts.njk" %}
{% include "html/assets/include/nunjucks/partials/core-css.njk" %}
{% include "html/assets/include/nunjucks/partials/core-icons.njk" %}
{% include "html/assets/include/nunjucks/partials/css/css-dzsparallaxer.njk" %}
<link rel="stylesheet" href="{{ root }}assets/vendor/animate.css">
<link rel="stylesheet" href="{{ root }}assets/vendor/slick-carousel/slick/slick.css">
<link rel="stylesheet" href="{{ root }}assets/vendor/hs-megamenu/src/hs.megamenu.css">
<link rel="stylesheet" href="{{ root }}assets/vendor/hamburgers/hamburgers.min.css">

{% include "html/assets/include/nunjucks/partials/css/css-unify.njk" %}
{% include "html/assets/include/nunjucks/partials/css/css-custom.njk" %}
</head>

<body>
  <main>
    {% include "html/assets/include/nunjucks/partials/blocks/headers/header-main.njk" %}

    <!-- Promo Block - Parallax -->
    <section class="dzsparallaxer auto-init height-is-based-on-content use-loading mode-scroll dzsprx-readyall" data-options='{direction: "reverse", settings_mode_oneelement_max_offset: "150"}'>
      <div class="divimage dzsparallaxer--target w-100 u-bg-overlay g-bg-bluegray-opacity-0_5--after" style="height: 130%; background-image: url({{ root }}assets/img-temp/1920x1080/img4.jpg);"></div>

      <!-- Promo Block Content -->
      <div class="container u-bg-overlay__inner text-center g-py-150">
        <h2 class="h1 g-color-white g-font-weight-600 text-uppercase g-mb-30">Discover <span class="g-color-primary">New</span> Things</h2>

        <!-- Search Form -->
        <form>
          <!-- Search Field -->
          <div class="g-max-width-540 mx-auto g-mb-20">
            <div class="input-group">
              <input type="text" class="form-control g-font-size-16 border-0" placeholder="Search words with regular expressions..." aria-label="Search words with regular expressions...">
              <span class="input-group-btn">
                <button class="btn btn-primary g-font-size-18 g-py-12 g-px-25" type="submit">
                  <i class="fa fa-search"></i>
                </button>
              </span>
            </div>
          </div>
          <!-- End Search Field -->

          <!-- Checkboxes -->
          <div class="g-font-size-15">
            <!-- Label -->
            <label class="form-check-inline u-check g-color-white g-pl-25">
              <input class="g-hidden-xs-up" type="checkbox" checked>
              <div class="u-check-icon-checkbox-v6 g-absolute-centered--y g-left-0">
                <i class="g-brd-white g-brd-primary--checked g-bg-white g-bg-primary--checked g-transition-0_2 g-transition--ease-in g-rounded-2 fa" data-check-icon="&#xf00c"></i>
              </div>
              Recent
            </label>
            <!-- End Label -->

            <!-- Label -->
            <label class="form-check-inline u-check g-color-white g-pl-25 g-ml-20--md">
              <input class="g-hidden-xs-up" type="checkbox">
              <div class="u-check-icon-checkbox-v6 g-absolute-centered--y g-left-0">
                <i class="g-brd-white g-brd-primary--checked g-bg-white g-bg-primary--checked g-transition-0_2 g-transition--ease-in g-rounded-2 fa" data-check-icon="&#xf00c"></i>
              </div>
              Related
            </label>
            <!-- End Label -->

            <!-- Label -->
            <label class="form-check-inline u-check g-color-white g-pl-25 g-ml-20--md">
              <input class="g-hidden-xs-up" type="checkbox">
              <div class="u-check-icon-checkbox-v6 g-absolute-centered--y g-left-0">
                <i class="g-brd-white g-brd-primary--checked g-bg-white g-bg-primary--checked g-transition-0_2 g-transition--ease-in g-rounded-2 fa" data-check-icon="&#xf00c"></i>
              </div>
              Popular
            </label>
            <!-- End Label -->

            <!-- Label -->
            <label class="form-check-inline u-check g-color-white g-pl-25 g-ml-20--md">
              <input class="g-hidden-xs-up" type="checkbox">
              <div class="u-check-icon-checkbox-v6 g-absolute-centered--y g-left-0">
                <i class="g-brd-white g-brd-primary--checked g-bg-white g-bg-primary--checked g-transition-0_2 g-transition--ease-in g-rounded-2 fa" data-check-icon="&#xf00c"></i>
              </div>
              Most common
            </label>
            <!-- End Label -->
          </div>
          <!-- End Checkboxes -->
        </form>
        <!-- End Search Form -->
      </div>
      <!-- End Promo Block Content -->
    </section>
    <!-- End Promo Block - Parallax -->

    {% include "html/assets/include/nunjucks/partials/blocks/content/content-demo-1.njk" %}

    {% include "html/assets/include/nunjucks/partials/blocks/cta/cta-main.njk" %}

    {% include "html/assets/include/nunjucks/partials/blocks/footers/footer-main.njk" %}
    {% include "html/assets/include/nunjucks/partials/blocks/footers/copyright-footer-main.njk" %}
    {% include "html/assets/include/nunjucks/partials/blocks/go-to-top/go-to-top-1.njk" %}
  </main>

  {% include "html/assets/include/nunjucks/partials/core-js.njk" %}

  <!-- JS Implementing Plugins -->
  <script src="{{ root }}assets/vendor/hs-megamenu/src/hs.megamenu.js"></script>
  {% include "html/assets/include/nunjucks/partials/js/js-dzsparallaxer.njk" %}
  <script src="{{ root }}assets/vendor/masonry/dist/masonry.pkgd.min.js"></script>
  <script src="{{ root }}assets/vendor/imagesloaded/imagesloaded.pkgd.min.js"></script>
  <script src="{{ root }}assets/vendor/slick-carousel/slick/slick.js"></script>

  <!-- JS Unify -->
  <script src="{{ root }}assets/js/hs.core.js"></script>
  <script src="{{ root }}assets/js/components/hs.header.js"></script>
  <script src="{{ root }}assets/js/helpers/hs.hamburgers.js"></script>
  <script src="{{ root }}assets/js/components/hs.carousel.js"></script>

  <!-- JS Plugins Init. -->
  <script>
    $(document).ready(function () {
      // initialization of carousel
      $.HSCore.components.HSCarousel.init('.js-carousel');

      // initialization of masonry
      $('.masonry-grid').imagesLoaded().then(function () {
        $('.masonry-grid').masonry({
          columnWidth: '.masonry-grid-sizer',
          itemSelector: '.masonry-grid-item',
          percentPosition: true
        });
      });
    });

    $(window).on('load', function () {
      // initialization of header
      $.HSCore.components.HSHeader.init($('#js-header'));
      $.HSCore.helpers.HSHamburgers.init('.hamburger');

      // initialization of HSMegaMenu component
      $('.js-mega-menu').HSMegaMenu({
        event: 'hover',
        pageContainer: $('.container'),
        breakpoint: 991
      });
    });
  </script>
</body>
</html>